# PDNS Namespace Reference

## Classes

class | NAPTRRecord
class | SRVRecord

## Functions

void | PrintOn (ostream &strm) const
NAPTRRecord * | GetFirst (const char *service=NULL)
NAPTRRecord * | GetNext (const char *service=NULL)
PDNS::NAPTRRecord * | HandleDNSRecord (PDNS_RECORD dnsRecord, PDNS_RECORD results)
void | UnlockOrder ()
DNS_STATUS | Cached_DnsQuery (const char *name, WORD type, DWORD options, void *extra, PDNS_RECORD *queryResults, void *reserved)
template<unsigned type, class RecordListType, class RecordType>
PBoolean | Lookup (const PString &name, RecordListType &recordList)
SRVRecord * | GetFirst ()
SRVRecord * | GetNext ()

## Variables

PINDEX | currentPos
int | lastOrder
PBoolean | orderLocked
PINDEX | priPos
PWORDArray | priList

## Function Documentation

void PDNS::PrintOn | ( | ostream & | strm | ) | const

NAPTRRecord* PDNS::GetFirst | ( | const char * | service = `NULL` | ) |

NAPTRRecord* PDNS::GetNext | ( | const char * | service = `NULL` | ) |

PDNS::SRVRecord * PDNS::HandleDNSRecord | ( | PDNS_RECORD | dnsRecord,
|  | PDNS_RECORD | results |
| ) |  |  |

void PDNS::UnlockOrder | ( |  | ) |

DNS_STATUS PDNS::Cached_DnsQuery | ( | const char * | name,
|  | WORD | type,
|  | DWORD | options,
|  | void * | extra,
|  | PDNS_RECORD * | queryResults,
|  | void * | reserved |
| ) |  |  |

template<unsigned type, class RecordListType, class RecordType>

PBoolean PDNS::Lookup | ( | const PString & | name,
|  | RecordListType & | recordList |
| ) |  |  |

SRVRecord* PDNS::GetFirst | ( |  | ) |

SRVRecord* PDNS::GetNext | ( |  | ) |

## Variable Documentation

PINDEX PDNS::currentPos

int PDNS::lastOrder

PBoolean PDNS::orderLocked

PINDEX PDNS::priPos

PWORDArray PDNS::priList